CUTLASS: cutlass::reference::host::detail::TensorCopyIf< DstElement, DstLayout, SrcElement, SrcLayout, F > Struct Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
cutlass::reference::host::detail::TensorCopyIf< DstElement, DstLayout, SrcElement, SrcLayout, F > Struct Template Reference

Helper to conditionally copy between tensor views.

`#include <tensor_copy.h>`

Collaboration diagram for cutlass::reference::host::detail::TensorCopyIf< DstElement, DstLayout, SrcElement, SrcLayout, F >:
[legend]

## Public Types
using | DstTensorView = TensorView< DstElement, DstLayout >
using | SrcTensorView = TensorView< SrcElement, SrcLayout >

## Public Member Functions
| TensorCopyIf ()
| TensorCopyIf (DstTensorView const &dst_, SrcTensorView const &src_, F const &convert_)
void | operator() (Coord< DstLayout::kRank > const &coord)
| Copies based on destination and source bounds. More...

## Public Attributes
DstTensorView | dst
SrcTensorView | src
F | convert

## Member Typedef Documentation

template<typename DstElement , typename DstLayout , typename SrcElement , typename SrcLayout , typename F >

using cutlass::reference::host::detail::TensorCopyIf< DstElement, DstLayout, SrcElement, SrcLayout, F >::DstTensorView = TensorView<DstElement, DstLayout>

template<typename DstElement , typename DstLayout , typename SrcElement , typename SrcLayout , typename F >

using cutlass::reference::host::detail::TensorCopyIf< DstElement, DstLayout, SrcElement, SrcLayout, F >::SrcTensorView = TensorView<SrcElement, SrcLayout>

## Constructor & Destructor Documentation

template<typename DstElement , typename DstLayout , typename SrcElement , typename SrcLayout , typename F >

cutlass::reference::host::detail::TensorCopyIf< DstElement, DstLayout, SrcElement, SrcLayout, F >::TensorCopyIf | ( |  | ) |
| inline

template<typename DstElement , typename DstLayout , typename SrcElement , typename SrcLayout , typename F >

cutlass::reference::host::detail::TensorCopyIf< DstElement, DstLayout, SrcElement, SrcLayout, F >::TensorCopyIf | ( | DstTensorView const & | dst_,
|  | SrcTensorView const & | src_,
|  | F const & | convert_
| ) |  |
| inline

## Member Function Documentation

template<typename DstElement , typename DstLayout , typename SrcElement , typename SrcLayout , typename F >

void cutlass::reference::host::detail::TensorCopyIf< DstElement, DstLayout, SrcElement, SrcLayout, F >::operator() | ( | Coord< DstLayout::kRank > const & | coord | ) |
| inline

## Member Data Documentation

template<typename DstElement , typename DstLayout , typename SrcElement , typename SrcLayout , typename F >

F cutlass::reference::host::detail::TensorCopyIf< DstElement, DstLayout, SrcElement, SrcLayout, F >::convert

template<typename DstElement , typename DstLayout , typename SrcElement , typename SrcLayout , typename F >

DstTensorView cutlass::reference::host::detail::TensorCopyIf< DstElement, DstLayout, SrcElement, SrcLayout, F >::dst

template<typename DstElement , typename DstLayout , typename SrcElement , typename SrcLayout , typename F >

SrcTensorView cutlass::reference::host::detail::TensorCopyIf< DstElement, DstLayout, SrcElement, SrcLayout, F >::src

The documentation for this struct was generated from the following file:

- tensor_copy.h